import React, { useState } from "react";
import { useCrossMintModal } from ".";
import { PopupContext } from "./useCrossMintPopup";
const PROD_URL = "https://crossmint.io";
const DEV_URL = "http://localhost:3001";
export const CrossMintPopupProvider = ({ development, children }) => {
    const [connecting, setConnecting] = useState(false);
    const [popup, setPopup] = useState(null);
    const { setVisible } = useCrossMintModal();
    const createPopup = (candyMachineId, collectionTitle, collectionDescription, collectionPhoto) => {
        const pop = window.open(`${development ? DEV_URL : PROD_URL}/signin?callbackUrl=${encodeURIComponent(`${development ? DEV_URL : PROD_URL}/checkout/mint?candyMachineId=${candyMachineId}&closeOnSuccess=false${collectionTitle ? `&collectionTitle=${collectionTitle}` : ""}${collectionDescription ? `&collectionDescription=${collectionDescription}` : ""}${collectionPhoto ? `&collectionPhoto=${collectionPhoto}` : ""}`)}`, "popUpWindow", createPopupString());
        if (pop) {
            setVisible(true);
            setPopup(pop);
            registerListeners(pop);
        }
        else {
            setConnecting(false);
            console.log("Failed to open popup window");
        }
    };
    const connect = (candyMachineId, collectionTitle, collectionDescription, collectionPhoto) => {
        if (connecting)
            return;
        setConnecting(true);
        createPopup(candyMachineId, collectionTitle, collectionDescription, collectionPhoto);
    };
    function registerListeners(pop) {
        const timer = setInterval(function () {
            if (pop.closed) {
                clearInterval(timer);
                setConnecting(false);
                setVisible(false);
            }
        }, 500);
    }
    function createPopupString() {
        return `height=750,width=400,left=${window.innerWidth / 2 - 200},top=${window.innerHeight / 2 - 375},resizable=yes,scrollbars=yes,toolbar=yes,menubar=true,location=no,directories=no, status=yes`;
    }
    return (React.createElement(PopupContext.Provider, { value: {
            connecting,
            popup,
            connect,
        } }, children));
};
//# sourceMappingURL=CrossMintPopupProvider.js.map